明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1072|回复: 0

[求助]如何获取PL线offset之后的面积?

[复制链接]
发表于 2010-10-18 20:06:00 | 显示全部楼层 |阅读模式
 

Sub Ch4_OffsetPolyline()

    ' 创建多段线

    Dim plineObj As AcadLWPolyline

    Dim points(0 To 11) As Double

    points(0) = 1: points(1) = 1

    points(2) = 1: points(3) = 2

    points(4) = 2: points(5) = 2

    points(6) = 3: points(7) = 2

    points(8) = 4: points(9) = 4

    points(10) = 4: points(11) = 1

    Set plineObj = ThisDrawing.ModelSpace. _

                   AddLightWeightPolyline(points)

    plineObj.Closed = True

    ZoomAll

               

    ' 偏移多段线

    Dim offsetObj As Variant

    offsetObj = plineObj.Offset(0.25)

ZoomAll

End Sub



只找到这样的代码,但如何获得偏移之后的面积呢?请各位前辈指点一下

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 20:28 , Processed in 0.149603 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表